package com.example.springdemo.security.events;

import com.example.springdemo.entities.Users;
import org.jetbrains.annotations.NotNull;
import org.springframework.context.PayloadApplicationEvent;
import org.springframework.core.ResolvableType;

public class LoginSuccess extends PayloadApplicationEvent<Users> {
    public LoginSuccess(Object source, Users payload) {
        super(source, payload);
    }

    @Override
    public ResolvableType getResolvableType() {
        return ResolvableType.forRawClass(LoginSuccess.class);
    }

    @Override
    public @NotNull Users getPayload() {
        return super.getPayload();
    }
}
